commit 4a9618035a4648d901b53c67f8f8bb5e5b624bc8
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Thu May 18 02:19:59 2023

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index e2f60e4d429..460c1ea9af3 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20230517
+20230518
diff --git a/gcc/cp/ChangeLog b/gcc/cp/ChangeLog
index c0081902bfb..7c0497dc46f 100644
--- a/gcc/cp/ChangeLog
+++ b/gcc/cp/ChangeLog
@@ -1,3 +1,12 @@
+2023-05-17  Jakub Jelinek  <jakub@redhat.com>
+
+	Backported from master:
+	2023-05-17  Jakub Jelinek  <jakub@redhat.com>
+
+	PR c++/109868
+	* init.cc (build_zero_init_1): Don't initialize zero-width bitfields.
+	For unions only initialize the first FIELD_DECL.
+
 2023-05-15  Jason Merrill  <jason@redhat.com>
 
 	PR c++/109241
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 0d8a1bef47b..7f65d308ec8 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,11 @@
+2023-05-17  Jakub Jelinek  <jakub@redhat.com>
+
+	Backported from master:
+	2023-05-17  Jakub Jelinek  <jakub@redhat.com>
+
+	PR c++/109868
+	* g++.dg/init/pr109868.C: New test.
+
 2023-05-15  Jason Merrill  <jason@redhat.com>
 
 	PR c++/109241

